
QGIS Application - Bug report #19618

QGIS Crashed on clearing recent project

2018-08-14 02:49 AM - 명균 이

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27445

Description

User Feedback

There was a conflict clearing the list of recently used projects.

Report Details

Crash ID: 1d735e926a71498fd25dd021653633836add39a9

Stack Trace

QgsStatusBarScaleWidget::userScale :

QModelIndex::flags :

QAbstractItemView::focusInEvent :

QWidget::event :

QFrame::event :

QAbstractScrollArea::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::closePopup :

QWidgetPrivate::hide_helper :

QWidget::setVisible :

QWidgetPrivate::close_helper :

QMenu::hideEvent :

QMenu::hideTearOffMenu :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :
QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-08-14 04:46 AM - Nyall Dawson

- Subject changed from QGIS_Crashed to QGIS Crashed on clearing recent project

- Status changed from Open to Feedback

Can you reproduce this crash? If so, can you post steps to reproduce?

#2 - 2018-08-14 07:43 AM - 명균 이

Nyall Dawson wrote:

Can you reproduce this crash? If so, can you post steps to reproduce?

Just I ran QGIS Desktop 3.2.1. And right click to remove the list of recently used projects and press remove from list. Then, I got this error.

#3 - 2018-08-14 11:31 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2018-09-17 05:59 AM - Katie Urey

a similar crash.

System- Xenial

QGIS Version: QGIS - 3.3.0-Master 'Master' (d7fb5f9)

These are the actions to reproduce this error:

-Select a recent project from the gui-frame which shows recent projects.  

-Select "Remove from List"

Also, when QGIS does not crash, and the "remove from List" selection has been made, on restarting QGIS, the project still shows in the recent projects
list.

Related, but possibly, another issue.  QGIS did not report a new *.qgz file until I had opened, then closed the project (without leaving QGIS.)  The *.qgz

project appears in the graphical list of recent projects.   Then, when closing and restarting QGIS, the *.qgz project is not listed.

Please let me know if I can help by providing specific information.

I report only to help test and am not involved in any productive project work.

============

I seem to have set qgis up to echo trace information like this to the screen, but not to a file.

Warning: void DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(+0xc71d)[0x556f2e1e671d]

/usr/bin/qgis.bin(+0xcc2a)[0x556f2e1e6c2a]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(qt_message_output(QtMsgType, QMessageLogContext const&, QString const&)+0x1ab)[0x7f8953dca6db]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QDebug::~QDebug()+0x60)[0x7f8953ec9320]

/usr/lib/x86_64-linux-gnu/libdbusmenu-qt5.so.2(+0xa1fe)[0x7f892f4a41fe]

/usr/lib/x86_64-linux-gnu/libdbusmenu-qt5.so.2(+0xa2dd)[0x7f892f4a42dd]

/usr/lib/x86_64-linux-gnu/libdbusmenu-qt5.so.2(+0xa2dd)[0x7f892f4a42dd]

/usr/lib/x86_64-linux-gnu/libdbusmenu-qt5.so.2(+0x120cb)[0x7f892f4ac0cb]

/usr/lib/x86_64-linux-gnu/libdbusmenu-qt5.so.2(+0x14369)[0x7f892f4ae369]

/usr/lib/x86_64-linux-gnu/libdbusmenu-qt5.so.2(+0x148c8)[0x7f892f4ae8c8]

/usr/lib/x86_64-linux-gnu/libQt5DBus.so.5(+0x20913)[0x7f893f319913]

/usr/lib/x86_64-linux-gnu/libQt5DBus.so.5(+0x247c0)[0x7f893f31d7c0]

/usr/lib/x86_64-linux-gnu/libQt5DBus.so.5(+0x24f0b)[0x7f893f31df0b]

/usr/lib/x86_64-linux-gnu/libQt5DBus.so.5(+0x2626e)[0x7f893f31f26e]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QObject::event(QEvent*)+0xf1)[0x7f8953fecc01]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x8c)[0x7f89548b005c]

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5(QApplication::notify(QObject*, QEvent*)+0x256)[0x7f89548b5516]

/usr/lib/libqgis_core.so.3.3.0(QgsApplication::notify(QObject*, QEvent*)+0x9b)[0x7f895547bdaf]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QCoreApplication::notifyInternal(QObject*, QEvent*)+0xdb)[0x7f8953fbd38b]

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5(QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*)+0x2c6)[0x7f8953fbf786]

../../src/core/qgsmessagelog.cpp: 27: (logMessage) [159ms] 2018-09-16T20:41:46 Qt

1

 void

DBusMenuExporterPrivate::fillLayoutItem(DBusMenuLayoutItem*, QMenu*, int, int, const QStringList&): No id for action

../../src/gui/qgsmapcanvas.cpp: 502: (refresh) [10329ms] CANVAS refresh scheduling

../../src/gui/qgsmapcanvas.cpp: 2132: (mapToolDestroyed) [214ms] maptool destroyed

#5 - 2018-09-25 11:25 AM - Jürgen Fischer

- Description updated

#6 - 2018-09-25 11:25 AM - Jürgen Fischer

- File deleted (0908_stack trace.txt)

#7 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.
#8 - 2019-02-11 04:19 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

2025-04-26 4/4


